## makemkv-bin 1.18.1

=== Makefile ===

ARCH=$(shell uname -m)
DESTDIR=
PREFIX=/usr

ifeq ($(ARCH),i586)
ARCH=i386
ARCH_OK=1
endif

ifeq ($(ARCH),i686)
ARCH=i386
ARCH_OK=1
endif

ifeq ($(ARCH),x86_64)
ARCH=amd64
ARCH_OK=1
endif

ifeq ($(ARCH),armv7l)
ARCH=armhf
ARCH_OK=1
endif

ifeq ($(ARCH),armv8l)
ARCH=armhf
ARCH_OK=1
endif

ifeq ($(ARCH),aarch64)
ARCH=arm64
ARCH_OK=1
endif

ifneq ($(ARCH_OK),1)
$(error MakeMKV is currently not available for architecture $(ARCH))
endif

all: tmp/eula_accepted
	@echo "type \"sudo make install\" to install"

clean:
	-rm -rf tmp

tmp/eula_accepted:
	@mkdir -p tmp
	@/bin/bash src/ask_eula.sh src/eula_en_linux.txt
	@echo accepted > $@

install: tmp/eula_accepted bin/$(ARCH)/makemkvcon
	rm -f $(DESTDIR)$(PREFIX)/bin/makemkvcon
	rm -f $(DESTDIR)$(PREFIX)/bin/mmdtsdec
	rm -f $(DESTDIR)$(PREFIX)/share/MakeMKV/*
	install -d $(DESTDIR)$(PREFIX)/share/MakeMKV
	install -d $(DESTDIR)$(PREFIX)/bin
	install -t $(DESTDIR)$(PREFIX)/bin bin/$(ARCH)/makemkvcon
	install -m 644 -t $(DESTDIR)$(PREFIX)/share/MakeMKV src/share/appdata.tar
	install -m 644 -t $(DESTDIR)$(PREFIX)/share/MakeMKV src/share/blues.jar
	install -m 644 -t $(DESTDIR)$(PREFIX)/share/MakeMKV src/share/blues.policy
	cd $(DESTDIR)$(PREFIX)/bin && ln -s -f makemkvcon sdftool

=== debian/changelog ===
makemkv-bin (1.18.1-1) UNRELEASED; urgency=medium

  * Initial Package (Closes: #1005075)

 -- Ben Westover <me@benthetechguy.net>  Fri, 23 May 2025 15:44:14 -0400

## makemkv-bin 1.18.2

=== debian/changelog ===
makemkv-bin (1.18.2-1~bpo11+1) bullseye; urgency=medium

  * Backport to bullseye

 -- Ben Westover <me@benthetechguy.net>  Sun, 23 Nov 2025 22:14:06 -0500

makemkv-bin (1.18.2-1) unstable; urgency=medium

  * Initial Package (Closes: #1005075)

 -- Ben Westover <me@benthetechguy.net>  Sun, 23 Nov 2025 18:46:14 -0500

=== debian/control ===
Source: makemkv-bin
Section: non-free/video
Priority: optional
Maintainer: Ben Westover <me@benthetechguy.net>
Build-Depends: debhelper-compat (= 13), po-debconf, libdriveio0, libmakemkv1
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/benthetechguy/makemkv-bin.git
Vcs-Browser: https://salsa.debian.org/benthetechguy/makemkv-bin
Homepage: https://makemkv.com/
Rules-Requires-Root: no

Package: makemkvcon
Architecture: amd64 i386 armhf arm64
Depends: ${misc:Depends}, ${shlibs:Depends}, debconf (>= 0.5)
Recommends: ccextractor
Description: Proprietary components of makemkv
 This package contains the various proprietary
 and closed-source components of MakeMKV.

=== debian/watch ===
version=4
https://www.makemkv.com/forum/viewtopic.php?t=224 .*/download/makemkv-bin-(\d\S+)\.tar\.gz

# This watch file looks at a forum post that is updated with the new
# source for the Linux version of MakeMKV whenever a new release comes
# out. The URL never changes, though it looks like it might.
